﻿/*
Vampire Attack 2
Copyright (c) 2009-2010 Blazing Games Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.vampireattack2
{
//	import flash.display.MovieClip;

	public class LevelData
//	extends MovieClip
	{
// ***** CONSTANTS **********************************************************
		private static const SCORE1:String = "gh";
		private static const SCORE2:String = "ij";
		private static const SCORE3:String = "k";
		
		// ground
		public static const TILE_DIRT:int = 0;
		public static const TILE_DIRTYGRASS:int = 1;
		public static const TILE_GRASS:int = 2;
		public static const TILE_BRICK:int = 3;
		public static const TILE_DIRTYBRICK:int = 4;
		public static const TILE_BROKENBRICK:int = 5;
		public static const TILE_ROCK:int = 6;
		public static const TILE_RUBBLE:int = 7;
		// spawn points
		public static const TILE_DIRT_BATSPAWN:int = 8;
		public static const TILE_BRICK_BATSPAWN:int = 9;
		public static const TILE_BRICK_SKELETONSPAWN:int = 10;
		public static const TILE_ROCK_SKELETONSPAWN:int = 11;
		public static const TILE_ROCK_LICHSPAWN:int = 12;
		public static const TILE_X_RESERVEDSPAWN1:int = 13;
		public static const TILE_X_RESERVEDSPAWN2:int = 14;
		public static const TILE_BRICK_VAMPIRESPAWN:int = 15;
		// obsticals
		public static const TILE_BUSH:int = 16;
		public static const TILE_BOULDER:int = 17;
		public static const TILE_TREETRUNCK:int = 18;
		public static const TILE_TREEBRANCHES:int = 19;
		public static const TILE_STOOL:int = 20;
		public static const TILE_TABLELEFT:int = 21;
		public static const TILE_TABLERIGHT:int = 22;
		public static const TILE_RESRVEDOBSTICAL:int = 23;
		// walls
		public static const TILE_BRICKWALL_TOP:int = 24;
		public static const TILE_BRICKWALL_SIDE:int = 25;
		public static const TILE_CRACKEDWALL_TOP:int = 26;
		public static const TILE_CRACKEDWALL_SIDE:int = 27;
		public static const TILE_CAVEWALL_TOP:int = 28;
		public static const TILE_CAVEWALL_SIDE:int = 29;
		public static const TILE_MARBLEWALL_TOP:int = 30;
		public static const TILE_MARBLEWALL_SIDE:int = 31;

		public const LEVEL_1_MAP:XML = <VA2>
<MAP>
xxxxxbxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
rogggbbbbbbbbbbbbbbbbbbcccccccccccccccdddddddddddddddddd---++aao
roogggggg---------g----g-----------------------------------+++ao
rroaaggggg--g--g----g-g----gg--g--g--g------g---g-----------+aao
rrooaa++++-------++----------------------g------------g-----++ao
rrooaaaa++++++++++++++++++----g----g---+++++++g-------------g+ao
rrrrooaa++++++++aaa+++++++++++++++--+++++aaaa++++-----------++ao
rrrroooaaaaaaaaaaoaa+++aaa+++++++++++++++aaaaaa++++------+++++ar
rrrrrroooooooaaoooaaaaaaaaaaaaaaa++aaa+aaaoaaaaaa+++------+aa+ar
rrrrrrrrrrroooorooooaoaaaoaooooaaoaao++oaoooooaoaaa++--g--++aaar
rrroaooooorrrrrrrrrrooooaoooooooaooo+oooorooooaaooa++++----++aor
rrroaaaooooooooaooarrrrrrorrrroooooorrrrrorrrrrraoaaaa+++---+aor
rrooaa+aaoaoaaaooaaaoooorrrooorrrrrrrooooooooooorrooaaaa++-g++ar
rooaa++aooooaa++aa+aaaaaooaooooooooooaaaaaaaaaooooroooaaaa+-+aar
roaaa+g+aoooa+++++++++aaaoo+aoooaaoooaaa+++++++ooaoroaaaaa+++aor
ooaa++-+aaaaa+++++-g-++aaaa+aaoaoaaaa++++++++-+++oaorooooa+++aor
oaa+++-+++aaa++-------++aa+++++o+++++g--g-++-g+++++aorrroaaaaoor
oa++++--+++++++g---------++---g+---------------++++aaaooooaaoorr
oa+++++--++++++--------g--+++++---++-------------g++++aaaa++oorr
oa+++++---+++-----+++++--++++a++++++++-g-+++++++-----+++++++orrr
oa+++++--------++++++aa+++aaaa+aaaaao+++++aaaa+++++----+-g++aorr
oa++-----g---++++aaoaaoooroooooaooooaooaaaaoaaa++a++-g-----+aorr
oa++-------++++aaaoorrrrrorrrrrrrrrrrrrrrrroooaaaoa++-----++aorr
ooa+g---++++aaaaoorroooaaaaaoooooaooooooooorrrrraoo++++++++aaoor
roa+----+++oaoorrrr+++++aaaaaaooaaaaooaaoooaoooorooaaaaa++aaaoor
roa+---++aaoaoroo+++++++aa+++++++++aaaaaaaaa+aaaorrooooooaaaaorr
oa++--g+aaoorrr++++-++++++++++---+++aaaaa++++++aooarrrrrroooorrr
ooa++--+aoorr++++++--+-++++++-g---+++++++++++++aaaaaooooorrrrrrr
ooa++-+++aoro+++-g-------++----++++++--+++---++++++aaaaaaaaaaorr
roa+---++aor+++---------------+oo++++--------++++++++aaa++aaaorr
roa+---+aaor+++----+++------++ooraa++----g--++aaaa++++++++aaoorr
roaag--++aor+++-----+----+++++orroa+++-----+++aooaaa+---g++aoorr
roaa++-++oor++++----g----++++aooroaaa++----+++aoraaaa++---+aorrr
rooa+--++aoro+++------g-++++aaoroooaa+-----+++++orroa+++--+aorrr
rroa++++ooor+++++-----++++aaaaororoaa+-g----+++++orro++++-+aaorr
rooa+++aaoor+++++---+++++aaoooaooroaa+-+++---+++++aar+++++++aoor
roaa++++aoor++++----+++aaoorrooorroaa+++++++----g+aaroaa++++aoor
roaa++++oaor+++-----+++aaoororororra+++aaaa+-----++aroaa++-+oorr
rraaa+-++aaro++-g----+++aorrrrorrrraooaaaoo++---+++oroaa++-gorrr
roaa+--+++oro++--------+aoororrrroooroaroooa+-+++aooraa+++-+oorr
rooa++--++aro++------g-+aaorrorrro+ooororooa+-+++aooro+++-+++orr
rroaa+--++oro++---------++oorrroo+++orrrrroa+--+aaaaro++--++aoor
rroaa++-+++r+++++------++++ooroo++g++oororo+-g-++aooro++--++aarr
rooa++---+++++++++----+++aaaorooa+-+aaaaoroo+---++orra++g-+++aor
roaa++---++++++++++-+++aaaaorroaa+--++aaooro+--++aaroaa+---++aor
rro++---+++++aa+++++++aaaaoorooaa++--++++aoo+--++arrooa+---++aao
roo++g--++++aaa+++aaaaaaoorrroaa++---+++-+++--+++oroaoa+---+aaao
rraa+--++++aaoaao+ooorrrrrrooaa++--g------g--+++orroaoa++--++aoo
rooa+-+++++aooooorrrrrooooao++++------++----++aaarooaaa+++-+++oo
rooa++++aooaoorrrrooaaaaoaa+++---g---++++---+aaooroaaaa+++-++aoo
roaa+++aaoooorro+++++++aaaa++----+++++++++++aaoorroaaa+++--g+aao
roa+++aaoorrrraa++g-+++++++++++++++++aaa++aaaooorooaa++++---+aao
roa++oooorooaaaa++----+++++++aaaaaa+aaoaooooorrrooaaa+++----+oor
rra+ooorrr+aaa++++-------++aaaoooororrrrrrrrroooo++++++---++aoor
rrorrrrao+++++-----------++ooorrrroroooooooooaaa+++++-+--+++aoor
rrrooaaaa+++---+--------++oorrroaaaaooooaa+++oaa+++-----+++aaorr
rrraaaaaa++---g+++++---g-+aaoa++aa+aaaaaa++++aa++++-----++aaaorr
rraaaaa+++---+++aa++++---++aaa+-++++++++++-g+++++++++-g++aaooorr
roaaa++++---++++aaa++++++++++++--------+++-----++a+++++++aooorrr
roaaa++---+++aaaooaaaooaaaaa++++++g-++++aa++--++aaa++++++aaoorrr
ooaa+++++++aaaooroooaooaaooaaaaaooo++aaaao+++++aaoaaaaa+aaaaooor
oaaaaa+aaaaaaaorrrrooaooooraaaooooooooooooooo++aoooaooaaaaaaaoor
oaaaaaaaoooooorrrrrrrarooorroooororrrooroorrooaaoroooooaaaaooorr
ooooooooorrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrooorrrrrrrrrooorrrr
</MAP>
<WIN tileX='5' tileY='0' />
</VA2>

		public const LEVEL_2_MAP:XML =<VA2>
<MAP>
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxDeDxxx
xbbbbbbhbbbbbbbbbbbbbbbbbbbbbbbbbbhbbbbbbbbbbbbbbbbbbbbBbbDeDbbx
xbibbbbbbbbbbbbbbbhbibbbbbbbbbbbbbbbbibbbbbbhbbbbbbbbbbBbbDeDbbx
xhbbbbbbbbbbbbbbbbbbbbbbbbbbbbhbbbbbbbbbbbbbbbbbbbbbbbbBccDdDccx
xbbBBBBBBBBBBBBBBBBbbbBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBbhbbcccccccx
xbbBbbbbbbbbbbbbbbbbbbBbbbbbbbbbbbbbbbbbbbbbbbbbbbbBbbbbcccccccx
xbbBbbbbbhbbbbbbhbbbbbBbbbbbbbbbbbhbbbbbbbbbhbbbibbBbbbbbcccccbx
xbbBbbbbbbbbbbbbbbbbbbBbbbbbbbbbbbbbbbbbbbbbbbbbbbbBbbbBbbcccbbx
xbbBbbbBbbbBBBBBBBBBBBBbbBbbBBBBBBBBBBBBBBBBBBBbbbbBbbbBbbbbbbbx
xbbBbhbBbbbBbbbbbbbbBbbbbBbbBbbbbbbbbbbbbbbbbbBbbbbBbbbBBBbbbBBx
xbbBbbbBbbbBbbbbbbbhBbbbbBbbBbbbbbbbbbhbbbbbibBbbbbbbbbbbbbbbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbBbbbbbbbbbbbbbbbbbBbbbbbbbbbbbbbbbbx
xbbBbbbBbbbBbhbBbbbbBbbbbBbbBbbbbbbbbbbbbbbbbbBbbbbbbbbbbbbbbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbBbbbbBBBBBBBBBBBBBBBBBBBBBBBBBBBbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbBbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbbhbbbbbbbbbbbbbbbbbbhbbbbbbbbibBbbbx
xbbBbbbBbibBbbbBbbbbBbbbbBbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbBbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbbbBbbbbbBbbbbBBBBBBBBBBBBBBBbbbBbbbx
xbbBbbbBbbbBbibBbbibBbibbBbbbbBbbbbbBbbhbbbbbbbbBbbbbbbBbbbBbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbbbBbbbbbBbbbbbbbbbibBbbbbhbBbbbBbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbbbBbbbbbBbbbbbbbbbbbBbbbbbbBbbbBbbbx
xbbBbbbBbbbBbbbBbbbbBbbbbBbbbbBbbhbbBBBBBBBBBBBBBbbbBbbBbbbBbibx
xbbBbbbBbbbBbbbBbbbbBbbbbBbibbBbbbbbbbbbbbbbbbbbbbbbBbbBhbbBbbbx
xbbbbbbBbbbBbbbBbbbbBbbbbBbbbbBbbbbbbbbbbbbbbbhbbbbbBbbBbbbBbbbx
xhbbbibBbbbBbbbBbbbbBbbhbBbbbbBbbbbbbbbbbbbbbbbbbbbbBbbBbbbBhbbx
xbbbbbbBbbbBbbbBbbbbbbbbbBbbbbBbbbBbbbBBBBBBBBBBBBBBBbbBbbbBbbbx
xbbBbbbBbhbBbbbBbbbbbbbbbBbbbbBbbbBbbbBbbbbbbbbbbbbbbbbBbbbBibbx
xbbBbbbBbbbBbbbBbbbbbbbbbBbbbbBbbbBbbbBbbbbbbbbhbbbbbibBbbbBbbbx
xbbBbbbBbbbBbbbBBBBBBBBBBBbbbbBbbbBbbbBbbbbbbbbbbbbbbbbBbbbBbbbx
xbbBbbbBbbbbbbbbbbbbbbbbbbbbbbBbbbBhbbBbbbBBBBBBBBBBBBBBbbbBbbhx
xbbBbbbBbbbbbbbbbbibbbbbbbbbbbBbbbBbbbBbbbBbbbbbbbbbbbbbbibBbbbx
xbbBbbbBbbbbbbbbbbbbbbbbbbbbbbBbibBbbbBbbbBbibbbbbbbbbbbbbbBbbbx
xbbBbbbBBBBBBBBBBBBBBBBBBBBbbbBbbbBbbbBbbbBbbbbbbbbbbhbbbbbBbbix
xbbBbbbBbbbbbbbbbbbbbbbbbbbbbbBbbbBbbbBbbbBbbbbBBBBBBBBBbbbBbbbx
xbbBbbbBbbbbbbbibbbbbbbbbbbbhbBbhbBbbbBbbbBbbbbBbbbbibbBbbbBbbbx
xbbBbbbBbbbbbbbbbbbbbbbbbbbbbbBbbbBbbbBbbbBbbbbBbbbbbbbBbbbBbhbx
xbbBbbbBbbBBBBBBBBBBBbbBbbbBBBBbbbBbhbBbbbBbbbbBbbbbbbbBbbbBbbbx
xbbBbbbbbbbbbbbbbbbbbbbBbbbbbbBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbBbbbbhbbbbbbibbbbbbbBbbbbbbBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbBbbbbbbbbbbbbbbbbbbbBbbbbbhBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBibbx
xbbBBBBBBBBBBBBBBBBBBBBBbhbbbbBbbbBbibBbibBbbbbBbbhBbbbBbbbBbbbx
xbbbbbbbbbbbbbbbbbbbbbbBbbssbbBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbibbbbbbhbbbbbbbbbbbbhBbstusbBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbhbbbbbbbbbbbbbbbbbbbBbbssbbBbbbBbbbBbbbBbbbbBbbbBbhbBbbbBbbbx
xbbbbbbbbbbbBBBBBBBBbbbBbbbbbbBbbbBbbbBbbbBbbbbBbbbBbbbBbbhBbbbx
xBBBBBBBBBbbBbbbbbbBbbbBbbbbbbBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbbbbbbbbbbBbibbbbBbbbBbbbhbbbbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbbbbbbbhbbBbbbbbbBbbbBbbbbbbbbbbBbbhBbbbBbbbbBbbbBbbbBbbbBbibx
xbbbbbbbbbbbBbbbBbbBbbbBbbbbbbbbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbbBBBBBBBBBbbbBbbBbbbBBBBBBBBbbbBbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbbbbbbbbbbbbbbBbbBbbbbbbbbbbbbbbbbbbBbbbBbbbbBbbbBbbbbbbbBbbbx
xbbbbhbbbbbbbbbbBbbBbibbbbbbbbbbhbbbbbBbbbBbbbbBbbbBbbbbbbbBbbhx
xbbbbbbbbbbbbbbbBbbBbbbbbbbbbbbbbbbbbbBbbbBbbbbBbbbBbbbbbbbBbbbx
xbbBBBBBBBBBBbbbBbbBBBBBBBBBBBBBBBBBbbBbbbBbbhbBbbbBBBBBbbbBbbbx
xbbBbbbbbbbbbbbbBbhbbbbbbbbbbbbbbbbbbbBbbbBbbbbBbbbBbbiBbbbBbbbx
xbbBbbbbbbbbbhbbBbbbbbbbbbbbbbbbhbbbbbBbbbBbbbbBbbbBbbbBbbbBbbbx
xbbBbbbbbbbbbbbbBbbbBBBBBBBBBBBBBBBBBBBbbbBbbbbbbbbBbbbBbbbBbbbx
xbbBbbBBBBBBbbbbBbibbbbbbbbbbbbbbbbbbbbbbbBbbbbbbbbBbbbBbbbBbbbx
xbbBbbbbbbbBbbbbBbbbbbbbbbbbbbbbbbbbbbbbbbBbbbibbbbBbbbBbbbBbbbx
xbbBbbbbbbbBbbbbBBBBBBBBBBBBBBBBBBbbbBBBBBBBBBBBBBBBbbbBbbbBbbbx
xbbBBBBBbbbBbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbBbbbBbbbx
xbbbbbbbbbbBbbbbbbbbbbbbbbbbbbbbbbbbhbbbbbbbbbbbbbbbibbBbbbbbbbx
xbbbbbbbbbbBbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbBbbbbbbbx
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
</MAP>
<WIN tileX='59' tileY='0' />
</VA2>

		public const LEVEL_3_MAP:XML = <VA2>
<MAP>
zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz
zDDDDDDDDDDDzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz
zDmhhhhhhhhDzzeeeeezzzzzzzzzzzzeeeezzzzzzzzzzzzzzzzzeezzzzzzzzzz
zDnhhhhhhhhDeeeeeeeezzzzzzzeeeeeeeeeezzzzzzzzzzzzeeeeeeeeezzzzzz
zDhhhhhhhhhbeeeeeeeeezzzzzzeeeeeeeeeeeeeezzzzzzeeeeeeeeeeeeezzzz
zDhhhhhhhhhbdeeeffeeezzzzzzeeeeeefffeeeeeezzzzeeejejeeeeeeeeezzz
zDhhhhhhhhhbdeeefeeezzzzzzzeeeeeeffffeeeeeezzzeejeeefeeeeeeeezzz
zDhhhhhhhhhbeeeeeeezzzzzzzzekeefffffeeeeeeezzzeeeeefeffeeeeeezzz
zDhhhhhhhhhDeeeeeezzzzzzzzzzeeeeeeeeffeeeeezzzeeejefffeeeeeezzzz
zDhhhhhhhhhDeeekezzzzzzzzzzzeeeeeeeeefeeeeezzzkeeeeeeeeeeeeezzzz
zDDDDDDDDDDDeeeeeezzzzzzzzzzzeejeeeeeeejeeezzzeeejeeeeejjeezzzzz
zzzzzzeeeeeeeejeeeezzzzzzzzzzeejjeeeejeeeezzzzeeeeeeeeeeeeezzzzz
zzzzzzzeeeeeejejejeezzzzzzzzzeeeezzeeeeeeezzzzeeeezzeeeeeeezzzzz
zzzzzzzzeejejffeeeeeezzzzzzzeeeezzzzzzeeezzzzeeezzzzzeeeezzzzzzz
zzzzzzzzeeeeeeeffejeezzzzzzeeeezzzzzzzeeezzzzeeezzzzzeeezzzzzzzz
zzzzzzzzzeeeeeefeeeezzzzzzeeeeezzzzzzeeeezzzzeeezzzzzeeezzzzzzzz
zzzzzzzzzzeeeejfeeeezzzzzeeeezzzzzzzeeeezzzzzeeezzzzzeeezzzzzzzz
zzzzzzzzzzzzeeefeeezzzzzeeeezzzzzzeeeeezzzzzzeeezzzzeeeezzzzzzzz
zzzzzzzzzzzzzeeeeeezzzzeeeezzzzzzzejeeezzzzzeeezzzzeeeezzzzzzzzz
zzzzzzzeeezzzzeeeeeeeeeeeezzzzzzzzeeeezzzzzzeeezzzeeeezzzzzzzzzz
zzzzzzeeeejezzzeeeeeeeeeezzzzzzzzzeeeeezzzzeeeezzzeeeezzzzzzzzzz
zzzzzzeeeeeeezzzeeeeeeeeezzzzzzzzzeeeeeeeeeeeezzzzeeezzzzzzzzzzz
zzzzzzejeeeejezzzeeeefeeeezzzzzzzzeeeejeeeeeeezzzzeezzzzzzzzzzzz
zzzzzzeeeejeeezzzzeeeffefeezzzzzzzzeeeeeejeeezzzzeeezzzzzezzzzzz
zzzzzeeeeffeejezzzzzeefffjeezzzzzzzzzeeeeeeezzzzeeeezzzeekezzzzz
zzzzzeeeefffeeeezzzzejeefjeeezzzzzzzzzzzzzzzzzzzeeezzzeeeeeezzzz
zzzzeeeeefefeeeeeezzzeejeeeeeezzzzzzzzzzzzzzzzzzeeezzeeeeeeeezzz
zzzzeeeeefeeffeeeeezzzeeeeeeeezzzzzzzzzzeezzzzzzeezzzeeefeeeezzz
zzeeeeeeefeeeeeeeeeezzzzzezzzzzzzzzzzeeejezzzzzzeezzeejffeeeezzz
zzeeeeeefeeeeeeeeeeeezzzzzzzzzzzzzeeeeeeeeeeeeeeeeeeeejfeeeeezzz
zzeeeeeeeeeeeeeezeeeeezzzzzeeeeeeeeeeeeeejeeeffffffeeejffeeezzzz
zzjeeeeeeeeeeeezzzeeeeeeeeffeeeeeeeeeeejeeeeeeeeeeeeeeejefeezzzz
zzzzeeeeeeeeezzzzzzeeeejefffeeeeeeeeeeeeeeeeeeezzzzzzeeeeeezzzzz
zzzzzzeeeezzzzzzzzzeeejffejeeeezzzzzeeeezzeeeeezzzzzzzeeeezzzzzz
zzzzzzzeeezzzzzzzzzzeeefjejeezzzzzzzzezzzzzzeeeezzzzzzzzzzzzzzzz
zzzzzzzeeezzzzzzzzzzeeeeeeeezzzzzzzzzzzzzzzzeeeeezzzzzzzzzzzzzzz
zzzzzzzeezzzzzzzzzzzeeeeeezzzzzzzzzzzzzzzzeejejeeezzzzzzzzzzzzzz
zzzzzzzeezzzzzzzzzzzzeeeezzzzzzzzzzzzzzzzzeeekeeeeezzzzzzzzzzzzz
zzzzzzeeezzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzeeejejeeeezzzzzzzzzzzzz
zzzzzeeeeezzezzzzzzzzzzzzzzzzzzzzzzzzzzzeeeeeeeeeeezzzzzzzzzzzzz
zzzzeeeeeeeeeeezzzzzzzzzzzzzzzzzzzzzzzzzeeeeffeeeeeeezzzzzzzzzzz
zzzzeeeeeeeeeeeeezzzzzzzzzzzzzzzzzzzzzzzeeeeeeffeeeeezzzzzzzzzzz
zzzeeeeeeeeeeeeezzzzzzzzzzzzzzzzzzzzzzzzeeeeeeeeffeeezzzzzzzzzzz
zzeeeeeezzzzzeeeeezzzzzzzzzzzzzzzzzzzzzeeeeeezeeeeffeeezzzzzzzzz
zzezzzzzzzzzzzeeeeezzzzzzzzzzzzzzzzzzeeeeeezzzzzeeeeeeeezzzzzzzz
zzzzzzzzzzzezeeeeeeeezzzzzzzzzzzeejeeeeeeezzzzezzzzeeeeeezzzzzzz
zzzzzzzeeeeeeeeeeejeeeezzzzzzzzeeejeeeeeezzzeeeeeezzzzeeeeeezzzz
zzzzzzeeeeeeeeeeffkjeeeezzzzzzzjejeeeeeezzzeeeeeeeeezzzeeeeeezzz
zzzeeeeeeeeeeeeeeffffeeezzzzzzzeeeeeeeezzeeeeeekeejeeeeeeeeeeezz
zeeeeeeeeeeeeeeejejeeeezzzzzzzzeeeeeeeezeeeeeeeeejjeeeeeeeeeeezz
zeeeeeeezzzeeeeeeeeeezzzzzzzzzzzeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeez
zeeeeezzzzzzzeeeeeezzzzzzzzzzzzzzeeeeeeeeeeeeezzzeezzzzeeeeeeeez
zeeezzzzzzzzeeeeezzzzzzzzzzzzzzzzeeeeeeeeezzzzzzzzzzzzzzzeeeeeez
zeeezzzzzzzzzzezzzzzzzzzzzzzzzzzzzeeeeeeezzzzzzzzzzzzzzzzzzeeeez
zeeeezzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzeeeeeeeezzzzzzzzzeeeez
zeeeeeeezzzzzzzzzzzzzeeeeezzzzzzzzzzzzzzzeeeeeeeeeeeezzzzzzzeezz
zzeeeeeeezzzzzzzzzzeeeejeeezzzzzzzzzzzzzzeeeejjeeeeeeezzzzzzeezz
zzzeeeeeeezzzzzzzzeeeeeejeeezzzzzzzzeeeeeeeeffffeejeeezzzzzzeezz
zzzeeeeeeeeezzzzzeeeeeekjeeezzzzzzeeeeeeeeeefffeffeeeeezzzzzeezz
zeeeeeeeeeeeeezzeeeeeeeejeeeezzeeeeeeeeeeeefffjjjfeeeeezzzzzeezz
zeeeeeeeeeeeeeeeeeeeeeejeeeeeeeeeeeeeeeeeeeeeeeeejjeeezzzzzeeeez
zeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeezzzzzzzzeeeeeejeeeeeeeeeeeeez
zeeeeeeeeezzeeeeeeeeeezzeeeeeeeezzzzzzzzzzzzzzeezzzzzeeeeeeeeezz
zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz
</MAP>
</VA2>

// ***** VARIABLES **********************************************************

		public static var _maxLevelReached:int = 0;
		private var _maxScore:int;
		
// ***** CONSTRUCTOR ********************************************************

		public function LevelData()
		{
			_maxScore = scoreLevel(LEVEL_1_MAP) + scoreLevel(LEVEL_2_MAP) + scoreLevel(LEVEL_3_MAP);
		}


// ***** Functions - Event handlers *****************************************


// ***** Functions - General control ****************************************

		public function requestLevel(n:int):XML
		{
			if (_maxLevelReached < n)
				_maxLevelReached = n;
			if (n == 1)
				return LEVEL_2_MAP;
			else if (n == 2)
				return LEVEL_3_MAP;
			return LEVEL_1_MAP;
		}

		public function getMaxLevelReached():int
		{
			return _maxLevelReached;
		}
		
		public function getMaxScore():int
		{
			return _maxScore;
		}
		
		private function scoreLevel(xml:XML):int
		{
			var s:String = xml.MAP;
			var mapScore:int = 0;
			
			for (var cntr:int = 0; cntr < s.length; ++cntr) {
				if (SCORE1.indexOf(s.charAt(cntr)) >= 0)
					mapScore += 1;
				else if (SCORE2.indexOf(s.charAt(cntr)) >= 0)
					mapScore += 2;
				else if (SCORE3.indexOf(s.charAt(cntr)) >= 0)
					mapScore += 3;
			}
			
			return mapScore;
		}
	} // end class
} // end package
